const  mongoose = require('mongoose');

const  Schema = mongoose.Schema;

const CreateClassSchema = new Schema({
    tutor_id:{type:mongoose.Schema.Types.ObjectId,ref: 'tutor'},
    class_method:{type:String},
    class_type: {type:String},
    institute_id:{type:mongoose.Schema.Types.ObjectId,ref: 'institute'},
    batch_no : {type:String},
    class_startingDate:{type:Date},
    subject:{type:String},
    class_fee:{type:String},
    student_list:[{type:mongoose.Schema.Types.ObjectId,ref: 'student'}],
    class_fee_option : {type:String},
    class_conduct_day : {type:String},
    class_conduct_time : {type:String},
    AdmissionFee : {type:String},
    batchYear : {type:String},
    isActiveClass: {
        type: Boolean,
        default: true
    },
    isActiveForStudent: {
        type: Boolean,
        default: true
    }
},{
    timestamps:true,
});


const Classes = mongoose.model('Classes',CreateClassSchema);

module.exports = Classes;