const mongoose = require('mongoose');
const Schema = mongoose.Schema;

let PerformanceSchema = new Schema({
    student_id : {type:mongoose.Schema.Types.ObjectId,ref: 'student', required:true},
    tutor_id : {type:mongoose.Schema.Types.ObjectId,ref: 'tutor', required:true},
    sex : {type: Number, required:true},
    guardian : {type : Number, required:true},
    study_time : {type: Number, required:true},
    activities : {type: Number, required:true},
    internet : {type: Number, required:true},
    free_time : {type: Number, required:true},
    absences : {type: Number, required:true},
    g1 : {type: Number},
    g2 : {type: Number},
    g3 : {type: Number}
},{
    timestamps : true
});

const StudPerf = mongoose.model('stud_performance', PerformanceSchema);

module.exports = StudPerf;