
import './App.css';
import 'bootstrap/dist/css/bootstrap.min.css';
import { BrowserRouter as Router, Route, Switch } from "react-router-dom";

//Pages
import Login from "./Components/Login";
import ItemNav from "./Components/Navbar";
import Home from "./Components/Home";
import SignUp from "./Components/SignUp";
import beforeConfirmation from "./Components/beforeConfirmation";
import VerifiedAccount from "./Components/AccountVerified";
import Dashboard from "./Components/Admin/Dashboard";
import StudentDashboard from "./Components/Student/StudentDashboard";
import QuestionDetails from "./Components/IT18050240/question_details"
import QuestionLayout from "./Components/IT18050240/question_layout"
//import AdminQuestionManagement from "./Components/IT18050240/admin_question_management.js"
import QuestionBank from "./Components/IT18050240/question_bank"
import TutorProfileView from "./Components/HomePage/TutorProfileView";

function App() {
  return (
      <Router>
        <div className="App">
            {/*<ItemNav/>*/}
            <Route path="/UserLogin" exact component={Login}/>
            <Route path="/Home" exact component={Home}/>
            <Route path="/SignUp" exact component={SignUp}/>
            <Route path="/beforeConfirm" exact component={beforeConfirmation}/>
            <Route path="/AccountVerified/:id" exact component={VerifiedAccount}/>
            <Route path="/Home/ViewProfile/:id" exact component={TutorProfileView}/>
            <Route path="/studentDashboard" exact component={StudentDashboard}/>


            {/*<Route path="/" exact component={Dashboard}/>*/}
            <Switch>
                <Route path="/admin"><Dashboard/></Route>
                <Route path="/studentDashboard"><StudentDashboard/></Route>
                <Route path="/questiondetails" exact component={QuestionDetails}/>
                <Route path="/question" exact component={QuestionLayout}/>
                {/*<Route path="/questionmanagement" exact component={AdminQuestionManagement}/>*/}
                <Route path="/questionbank" exact component={QuestionBank}/>
                {/*<Route path="/edititem/:id" exact component={AdminQuestionManagement}/>*/}
            </Switch>


        </div>
      </Router>
  );
}

export default App;
